;InnoSetupVersion=2.0.18

[Setup]
AppName=PerformanceTest
AppVerName=PerformanceTest v4.0
AppId=PerformanceTest
AppVersion=4.0
AppPublisher=Passmark Software
AppPublisherURL=http://www.passmark.com/
AppMutex=PerformanceTestMutex
DefaultDirName={pf}\PerformanceTest
DefaultGroupName=PerformanceTest
UninstallDisplayIcon={app}\pt.exe
OutputBaseFilename=pt_pkg
Compression=zip
ChangesAssociations=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Compaq Presario 260C050 1130.pt"; DestDir: "{app}"; 
Source: "{app}\Fujitsu FMVME24053 AMD-K6 400.pt"; DestDir: "{app}"; 
Source: "{app}\Fujitsu MG10AM Pentium III 1000.pt"; DestDir: "{app}"; 
Source: "{app}\Generic Pentium III 850.pt"; DestDir: "{app}"; 
Source: "{app}\HP 522c Athlon XP 2000+.pt"; DestDir: "{app}"; 
Source: "{app}\HP 722d Pentium 4 2000.pt"; DestDir: "{app}"; 
Source: "{app}\NEC VC700-3E  Pentium 4 2200.pt"; DestDir: "{app}"; 
Source: "{app}\Dell Latitude C840 portable Pentium 4 1800.pt"; DestDir: "{app}"; 
Source: "{app}\key.dat"; DestDir: "{app}"; 
Source: "{app}\pt.exe"; DestDir: "{app}"; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; 
Source: "{app}\pthelp.cnt"; DestDir: "{app}"; 
Source: "{app}\PTHELP.HLP"; DestDir: "{app}"; 
Source: "{app}\ptdataicon,1.ico"; DestDir: "{app}"; DestName: "ptdataicon.ico"; 
Source: "{app}\pt.exe.manifest"; DestDir: "{app}"; 
Source: "{app}\ptdataicon,2.ico"; DestDir: "{app}"; DestName: "ptdataicon.ico"; 
Source: "{app}\unicows.dll"; DestDir: "{app}"; 

[Registry]
Root: HKCR; Subkey: ".pt"; ValueType: String; ValueData: "PerformanceTestBL"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "PerformanceTestBL"; ValueType: String; ValueData: "PerformanceTest Baseline"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PerformanceTestBL\DefaultIcon"; ValueType: String; ValueData: "{app}\ptdataicon.ico,0"; 
Root: HKCR; Subkey: "PerformanceTestBL\shell\open\command"; ValueType: String; ValueData: """{app}\pt.exe"" ""%1"""; 

[Run]
Filename: "{app}\Readme.txt"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 
Filename: "{app}\pt.exe"; Description: "Launch PerformanceTest"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\PerformanceTest"; Filename: "{app}\pt.exe"; Comment: "PerformanceTest"; 
Name: "{group}\PerformanceTest Documentation"; Filename: "{app}\pthelp.hlp"; Comment: "PerformanceTest Documentation"; 

[UninstallDelete]
Type: files; Name: "{app}\CDReadStats.txt"; 
Type: files; Name: "{app}\DiskReadStats.txt"; 
Type: files; Name: "{app}\DiskReadStatsTB.txt"; 
Type: files; Name: "{app}\DiskWriteStats.txt"; 
Type: files; Name: "{app}\DiskWriteStatsTB.txt"; 
Type: files; Name: "{app}\MemAccessStats.txt"; 
Type: files; Name: "{app}\NetworkRecvStats.txt"; 
Type: files; Name: "{app}\NetworkSendStats.txt"; 
